## Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

## [0.3] - 2020-03-23

Major rewrite following OOP style. Adds GPS/GPX handling.

### Added
- Added GPX parser.
- Added optional dry-run modifier.
- Made timezone-aware for timesources that are not timezone aware.
- Added optional parameter to override timezone to local timezone, defaults to utc.
- Refactored variable name_scheme.
- Switch to oop style programming. Made code easier to read.
- Moved CSV processing and Exif reading / writing into a class.
- Moved photo copying into Photo class.
- Created Exif writing class. Can now also create GPS tags.
- Created Output formatting class.
- Added new working Match class for matching time against CSV and GPX.

## [0.2] - 2020-02-05
### Added
- uses pyexiv2 instead of piexif which is also able to tag various camera raw formats, e. g. CR2 and is capable of writing properly formed UTF-8 strings.
- Added copy function to be able to place files to outdir before modification.
- Added verbose output about what it going to happen.
- Added table header for output.

### Changed
- Removed unnecessary datetime object creation as pyexiv2 can output datetime objects itself.
- Removed obsolete "Processing..." message, as it was never visible.

## [0.1] - 2020-02-02
First prototype using piexif

### Added
- Argument parsing enabled.
- Parametrized factor to calculate Sieverts.
- Parametrized output dir.
- Usage of os.path to be os-aware.
- Output in a tablish manner.

### Changed
- exchanged selfmade CSV parser by python's core CSV library
